Subject: Re: bug#55319: 28.1.50; Abugida not rendered correctly (MacOS)

From: Kai Ma <[email-masked]>
Date: Mon, 9 May 2022 09:43:48 +0800

> On May 9, 2022, at 00:57, Eli Zaretskii <[email-masked]> wrote:
> 
> Emacs doesn't OOTB support scripts whose characters are not in
> Unicode.  When characters are not in Unicode, their properties and
> attributes aren't known, unless someone tells Emacs what they are.

That was my thought, too. However, I don’t think this is the root cause in this case.

1. Other applications (including Web browsers and the native GUI toolkit) render 
  the text just fine. This makes me believe the font file itself contains enough information.

2. Emacs also discovers some glyphs should be composed, e.g. intonation marks (e.g. #xed8c), 
  but not the vowels. I don’t know why this happens. I just tried copy character properties 
  from these good ones. It didn’t work.

But in general, this could just be Emacs not fully supporting OpenType features.